Table of Contents

Module: marmalade | Twisted-0.19.0/twisted/persisted/marmalade.py
--- | ---
Marmalade: jelly, with just a hint of bitterness. I can serialize a Python object to an XML DOM tree (xml.dom.minidom), and therefore to XML data, similarly to twisted.spread.jelly. Because both Python lists and DOM trees are tree data-structures, many of the idioms used here are identical.
Imported modules |
--- | ---
import __builtin__ import copy_reg from twisted.persisted.crefutil import NotKnown, _Tuple, _InstanceMethod, _DictKeyAndValue, _Dereference, _Defer from twisted.python.reflect import namedModule, namedClass, namedObject, fullFuncName import types
Functions |
getValueElement jellyToDOM jellyToXML unjellyFromDOM unjellyFromXML
| getValueElement
    getValueElement ( node )
### Get the one child element of a given element. If there is more than one child element, raises ValueError. Otherwise, returns the value element.
Exceptions |
--- | ---
ValueError( "Only one value node allowed per instance!" )
| jellyToDOM
    jellyToDOM ( object )
Convert an Object into an xml.dom.minidom.Document.
| jellyToXML
    jellyToXML ( object,  file=None )
### jellyToXML(object, [file]) -> None | string Converts a Python object to an XML stream. If you pass a file, the XML will be written to that file; otherwise, a string of the XML will be returned.
| unjellyFromDOM
    unjellyFromDOM ( document )
Convert an xml.dom.minidom.Document into a Python object.
| unjellyFromXML
    unjellyFromXML ( stringOrFile )
I convert a string or the contents of an XML file into a Python object.
Classes |
DOMJellier |
DOMJellyable |
DOMUnjellier |

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:54 2002 by HappyDoc version 2.0